<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Sac extends CI_Controller {

    function __construct() {
        parent::__construct();
        (isset($_SESSION['controle-aluno']) == TRUE) ? redirect('carreira') : '';
        $this->load->model('Cursos_Model');
        $this->load->model('Matricula_Model');
        $this->load->model('Cursos_Model');
        $this->load->model('Historico_Model');
        $this->load->model('Cadastro_Model');
        $this->load->library('url');
        $this->load->library('Criptografia');
        $this->load->library('Cpf');
        $this->load->database();
    }

    public function atualizanome() {
        $cpf = $this->input->post('cpf');
        
       $post = array(
                        'token' => CPF_TOKEN, 
                        'chave' => CPF_CHAVE, 
                        'instituicao' => 'AMAZONIACURSOS', 
                        'forcar_consulta'=>'1',
                        'identificador'=>md5($_SESSION['aluno']['email']),
                        'cpf' => $cpf);
       
                    $ch = curl_init();
                    curl_setopt($ch, CURLOPT_URL, CPF_URL);
                    
                    curl_setopt($ch, CURLOPT_POST, 1);
                    curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
                    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                    $requisicao = curl_exec($ch);

                    curl_close($ch);

                    $res = json_decode($requisicao);
                    
                    $id=$_SESSION['aluno']['id_aluno'];
                    $nome=$_SESSION['aluno']['nome'];
                    $nome_api=json_decode($requisicao)->nome;
          
                    if(($nome_api<>$nome) && ($nome_api<>"")){
                    $info = array('nome' =>$nome_api);
                    $this->Cadastro_Model->autalizadadoscadastrais($info);
               
                    }
                    $datas = date('Y-m-d H:i:s', time());
                    $aluno = $this->Cadastro_Model->getAlunoPorID($id);
                    $dados = array('id_aluno' => $id, 'cpf' => $cpf, 'nome_antigo' => $aluno['nome'], 'nome_atual' =>$nome_api, 'data_alteracao' => $datas);
                    $this->Cursos_Model->insere_aluno_log($dados);
                    
    }
    
    public function index() {

        if (isset($_SESSION['aluno']) == TRUE) {
                    //print_r($_SESSION['aluno']['nome']);
                    $this->db->where('nome',$_SESSION['aluno']['nome']);
                    $cadastros = $this->db->get('aluno')->result();
                    
                    $this->db->where('id_aluno',$_SESSION['aluno']['id_aluno']);
                    $aluno = $this->db->get('aluno')->result();
                    
                    $sql="SELECT *, curso.nome as nome_curso  FROM `itens_transacao` join historico on(itens_transacao.historico=historico.id_historico) join curso  using(id_curso) join transacao on(transacao.id_transacao=itens_transacao.transacao) WHERE `situacao` != '1' AND transacao.id_aluno =".$_SESSION['aluno']['id_aluno']." and codigo is not null and codigo<>'' and data_transacao between  DATE_SUB(curdate(), INTERVAL 360 DAY) and  curdate() order by data_transacao desc";
                    $faturas = $this->db->query($sql)->result();
                    
                    $sqlusuario=" SELECT *  FROM `log_aluno` WHERE `id_aluno` =".$_SESSION['aluno']['id_aluno']." order by data_alteracao desc limit 1";
                    $usuario = $this->db->query($sqlusuario)->result();
                    
                    
                    $sqlfaturaspagas="SELECT *, curso.nome as nome_curso  FROM `itens_transacao` join historico on(itens_transacao.historico=historico.id_historico) join curso  using(id_curso) join transacao on(transacao.id_transacao=itens_transacao.transacao) where situacao=1 and transacao.id_aluno=".$_SESSION['aluno']['id_aluno']." and data_transacao between  DATE_SUB(curdate(), INTERVAL 7 DAY) and  curdate() order by data_transacao desc";
                     $faturaspagas = $this->db->query($sqlfaturaspagas)->result();
                    
                    
           $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos',
                'alunos' => $aluno[0],
                'usuario' => $usuario[0],
                 'cadastros' => $cadastros,
                 'faturas' => $faturas,
                'faturaspagas' => $faturaspagas,
                'termos' => $this->Cadastro_Model->obtemTermo(),
               
         'descricao' => '',
            );
            $this->load->view('sac', $dados);
        } else {
            redirect();
        }
    }

    

}
